
//  HelloApplication.java  (c) Kari Laitinen

//  http://www.naturalprogramming.com/

//  2012-11-22  File created.
//  2012-11-22  Latest modification.

//  This is an example of a very simple Java application
//  that draws two lines of text to its window.

import java.awt.* ;
import javax.swing.* ;

class HelloFrame extends JFrame
{
   static final int FRAME_WIDTH   =  400 ;
   static final int FRAME_HEIGHT  =  250 ;

   public HelloFrame()
   {
      setTitle( "A SIMPLE JAVA GUI APPLICATION" ) ;
      setSize( FRAME_WIDTH, FRAME_HEIGHT ) ;

      setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE ) ;
   }


   public void paint( Graphics graphics )
   {
      super.paint( graphics ) ;

      graphics.drawString( "Hello. I am a Java GUI application.", 80, 100 ) ;

      graphics.drawString( "The coordinates of this line are (80,150).",
                           80, 150 ) ;
   }
}


public class HelloApplication
{
   public static void main( String[] not_in_use )
   {
      HelloFrame hello_frame = new HelloFrame() ;

      hello_frame.setVisible( true ) ;
   }
}




